diff --git a/doc/src/sgml/brin.sgml b/doc/src/sgml/brin.sgml
index d2f12bb605..5ac5d783d7 100644
--- a/doc/src/sgml/brin.sgml
+++ b/doc/src/sgml/brin.sgml
@@ -78,8 +78,8 @@
    <function>brin_summarize_new_values(regclass)</function> functions;
    automatically when <command>VACUUM</command> processes the table;
    or by automatic summarization executed by autovacuum, as insertions
-   occur.  (This last trigger is disabled by default and can be enabled
-   with the <literal>autosummarize</literal> parameter.)
+   occur (the latter is disabled by default and can be enabled
+   with the <literal>autosummarize</literal> parameter).
    Conversely, a range can be de-summarized using the
    <function>brin_desummarize_range(regclass, bigint)</function> function,
    which is useful when the index tuple is no longer a very good
diff --git a/doc/src/sgml/ref/create_index.sgml b/doc/src/sgml/ref/create_index.sgml
index cc484d5b39..9d92a6b837 100644
--- a/doc/src/sgml/ref/create_index.sgml
+++ b/doc/src/sgml/ref/create_index.sgml
@@ -563,7 +563,8 @@ CREATE [ UNIQUE ] INDEX [ CONCURRENTLY ] [ [ IF NOT EXISTS ] <replaceable class=
     <listitem>
     <para>
      Defines whether a summarization run is invoked for the previous page
-     range whenever an insertion is detected on the next one.
+     range whenever an insertion is detected on the next one. The default 
+     is <literal>OFF</literal>. 
     </para>
     </listitem>
    </varlistentry>
